## libvpx 1.8.1

=== debian/changelog ===
libvpx (1.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Aug 2019 08:46:57 +0200

libvpx (1.8.1-1) experimental; urgency=medium

  * New upstream release
    - This release is ABI incompatible
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * d/changelog, d/control: Remove trailing empty line at the end of file
  * Fix installation of neon version of library on ARM (Closes: #922817)

 -- Ondřej Nový <onovy@debian.org>  Wed, 17 Jul 2019 00:05:27 +0200

=== debian/control ===
Source: libvpx
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper-compat (= 12),
               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
               dh-exec,
Build-Depends-Indep: doxygen
Standards-Version: 4.4.0
Homepage: https://www.webmproject.org
Vcs-Git: https://salsa.debian.org/multimedia-team/libvpx.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libvpx

Package: libvpx-dev
Section: libdevel
Architecture: any
Depends: libvpx6 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: VP8 and VP9 video codec (development files)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with libvpx.

Package: libvpx6
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: VP8 and VP9 video codec (shared library)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the shared libraries.

Package: libvpx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: lynx | www-browser
Description: VP8 and VP9 video codec (API documentation)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the HTML documentation for the libvpx library
 in /usr/share/doc/libvpx-doc.

Package: vpx-tools
Section: utils
Architecture: any
Depends: libvpx6 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: VP8 and VP9 video codec encoding/decoding tools
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the commandline tools vpxdec and vpxenc.

## libvpx 1.8.2

=== debian/changelog ===
libvpx (1.8.2-1ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: use-after-free vulnerability
    - debian/patches/CVE-2025-5283.patch: fix double free on init failure.
    - CVE-2025-5283

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Mon, 02 Jun 2025 17:00:06 +0200

libvpx (1.8.2-1ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: multiple integer overflows
    - debian/patches/CVE-2024-5197-pre1.patch: add test/vpx_image_test.cc.
    - debian/patches/CVE-2024-5197-1.patch: fix integer overflows in calc
      of stride_in_bytes in test/vpx_image_test.cc, vpx/src/vpx_image.c.
    - debian/patches/CVE-2024-5197-2.patch: avoid integer overflows in
      arithmetic operations in test/vpx_image_test.cc, vpx/src/vpx_image.c,
      vpx/vpx_image.h.
    - debian/patches/CVE-2024-5197-3.patch: fix a bug in alloc_size for
      high bit depths in vpx/src/vpx_image.c.
    - CVE-2024-5197

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Jun 2024 10:07:37 -0400

libvpx (1.8.2-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow in vp8 encoding
    - debian/patches/CVE-2023-5217.patch: disallow thread count changes
      in vp8/encoder/onyx_if.c.
    - CVE-2023-5217
  * SECURITY UPDATE: Width mishandling in vp9 encoding
    - debian/patches/CVE-2023-44488.patch: fix bug with smaller width
      bigger size in test/resize_test.cc, vp9/common/vp9_alloccommon.c,
      vp9/encoder/vp9_encoder.c.
    - CVE-2023-44488

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 02 Oct 2023 06:43:10 -0400

libvpx (1.8.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:07:13 +0100

libvpx (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2.
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Dec 2019 17:59:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
                dh-exec,
 Build-Depends-Indep: doxygen
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.webmproject.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libvpx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libvpx

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CFLAGS_MAINT_APPEND = -Wall
DEB_CXXFLAGS_MAINT_APPEND = -Wall

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure_flags += \
  --prefix=/usr \
  --enable-pic \
  --enable-shared \
  --disable-install-bins \
  --disable-install-srcs \
  --size-limit=16384x16384 \
  --enable-postproc \
  --enable-multi-res-encoding \
  --enable-temporal-denoising \
  --enable-vp9-temporal-denoising \
  --enable-vp9-postproc

ifeq ($(DEB_HOST_ARCH_CPU),arm)
configure_flags_neon := $(configure_flags) --target=armv7-linux-gcc
BUILD_NEON=Yes
endif

ifeq ($(DEB_HOST_ARCH), arm64)
configure_flags += --target=arm64-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), armel)
configure_flags += --target=generic-gnu --enable-small
else
ifeq ($(DEB_HOST_ARCH), armhf)
# now armhf is ARMv7, but ARMv7 in vpx means NEON, which is not mandatory on armhf
# thus we use generic-gnu
configure_flags += --target=generic-gnu --enable-small
else
ifeq ($(DEB_HOST_ARCH), amd64)
configure_flags += --target=x86_64-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), kfreebsd-amd64)
configure_flags += --target=x86_64-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), i386)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), kfreebsd-i386)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), hurd-i386)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), mips)
configure_flags += --target=generic-gnu
# Disable MIPS assembly for now, it requires DSP R2
DEB_CFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
DEB_CXXFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
else
ifeq ($(DEB_HOST_ARCH), mipsel)
configure_flags += --target=generic-gnu
# Disable MIPS assembly for now, it requires DSP R2
DEB_CFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
DEB_CXXFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
else
configure_flags += --target=generic-gnu
endif
endif
endif
endif
endif
endif
endif
endif
endif
endif

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS=$(DEB_HOST_GNU_TYPE)-
export CROSS
endif

builddir := $(CURDIR)/builddir

export DEB_CFLAGS_MAINT_APPEND
export DEB_CXXFLAGS_MAINT_APPEND

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(builddir) $(builddir)-neon

override_dh_auto_configure:
	mkdir -p $(builddir) ; \
	cd $(builddir) ; \
	${CURDIR}/configure $(configure_flags)
ifeq ($(BUILD_NEON), Yes)
	mkdir -p $(builddir)-neon ; \
	cd $(builddir)-neon ; \
	${CURDIR}/configure $(configure_flags_neon)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=$(builddir) -- verbose=yes dist
ifeq ($(BUILD_NEON), Yes)
	dh_auto_build --builddirectory=$(builddir)-neon -- verbose=yes dist
endif
	# don't use stripped library...
	cp -v $(builddir)/libvpx_g.a \
		$(builddir)/vpx-vp8-*/lib/libvpx.a

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A README AUTHORS

=== debian/tests/control ===
Tests: encode-testimage
Depends: ffmpeg, vpx-tools
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libvpx-$1\.tar\.gz/ \
  https://github.com/webmproject/libvpx/tags .*/v?(\d\S*)\.tar\.gz

## libvpx 1.9.0

=== debian/changelog ===
libvpx (1.9.0-1ubuntu1) impish; urgency=medium

  * d/rules: Disable LTO and fix FTBFS when building with GCC 11.
    (LP: #1939640)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 11 Aug 2021 22:25:45 -0400

libvpx (1.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #976835)
  * debian/watch: versionmangle for RC releases
  * debian/control:
    - Bump Standards-Version
    - Remove unneeded ${shlibs:Depends} from libvpx-dev
    - Bump debhelper compat to 13
    - Set RRR: no
  * debian/rules: Use /usr/share/dpkg/architecture.mk

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 08 Dec 2020 18:02:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
                dh-exec,
 Build-Depends-Indep: doxygen
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://www.webmproject.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libvpx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libvpx
+Rules-Requires-Root: no
 
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
 Depends: libvpx6 (= ${binary:Version}),
-         ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
 Description: VP8 and VP9 video codec (development files)

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,10 @@
 DEB_CFLAGS_MAINT_APPEND = -Wall
 DEB_CXXFLAGS_MAINT_APPEND = -Wall
 
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# The build fails with GCC 11 when using LTO.
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
+
+include /usr/share/dpkg/architecture.mk
 
 configure_flags += \
   --prefix=/usr \

## libvpx 1.11.0

=== debian/changelog ===
libvpx (1.11.0-2ubuntu2.4) jammy-security; urgency=medium

  * SECURITY UPDATE: use-after-free vulnerability
    - debian/patches/CVE-2025-5283.patch: fix double free on init failure.
    - CVE-2025-5283

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Mon, 02 Jun 2025 16:59:08 +0200

libvpx (1.11.0-2ubuntu2.3) jammy-security; urgency=medium

  * SECURITY UPDATE: multiple integer overflows
    - debian/patches/CVE-2024-5197-pre1.patch: add test/vpx_image_test.cc.
    - debian/patches/CVE-2024-5197-1.patch: fix integer overflows in calc
      of stride_in_bytes in test/vpx_image_test.cc, vpx/src/vpx_image.c.
    - debian/patches/CVE-2024-5197-2.patch: avoid integer overflows in
      arithmetic operations in test/vpx_image_test.cc, vpx/src/vpx_image.c,
      vpx/vpx_image.h.
    - debian/patches/CVE-2024-5197-3.patch: fix a bug in alloc_size for
      high bit depths in vpx/src/vpx_image.c.
    - CVE-2024-5197

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Jun 2024 10:04:53 -0400

libvpx (1.11.0-2ubuntu2.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow in vp8 encoding
    - debian/patches/CVE-2023-5217.patch: disallow thread count changes
      in vp8/encoder/onyx_if.c.
    - CVE-2023-5217
  * SECURITY UPDATE: Width mishandling in vp9 encoding
    - debian/patches/CVE-2023-44488.patch: fix bug with smaller width
      bigger size in test/resize_test.cc, vp9/common/vp9_alloccommon.c,
      vp9/encoder/vp9_encoder.c.
    - CVE-2023-44488

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 02 Oct 2023 06:43:10 -0400

libvpx (1.11.0-2ubuntu2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:21:29 +0100

libvpx (1.11.0-2ubuntu1) jammy; urgency=medium

  * Merge with Debian, reamining Ubuntu changes:
  * debian/rules:
   - Disable LTO and fix FTBFS when building with GCC 11.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 17 Nov 2021 10:11:05 +1300

libvpx (1.11.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Oct 2021 17:08:21 +0200

libvpx (1.11.0-1) experimental; urgency=medium

  * Team upload

  [ Jakub Adam ]
  * Enable VP9 high bit depth (10/12) profiles.

  [ Sebastian Ramacher ]
  * New upstream version 1.11.0
  * SONAME bump: libvpx6 -> libvpx7
  * debian/control: Remove incorrect MA: foreign from vpx-tools

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Oct 2021 22:18:17 +0200

libvpx (1.10.0-2) unstable; urgency=medium

  * debian/: Relax ABI version check and bump minimum version for init
    functions

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Aug 2021 08:59:02 +0200

libvpx (1.10.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Drop obsolete Pre-Depends
  * debian/rules: Do not install README and AUTHORS

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 Aug 2021 22:56:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
-               dh-exec,
+               yasm [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
+               dh-exec
 Build-Depends-Indep: doxygen
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.webmproject.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libvpx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libvpx
@@ -18,7 +18,7 @@
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx6 (= ${binary:Version}),
+Depends: libvpx7 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: VP8 and VP9 video codec (development files)
@@ -29,13 +29,12 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx6
+Package: libvpx7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Description: VP8 and VP9 video codec (shared library)
  VP8 and VP9 are open video codecs, originally developed by On2 and released
  as open source by Google Inc. They are the successor of the VP3 codec,
@@ -60,10 +59,9 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx6 (= ${binary:Version}),
+Depends: libvpx7 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Multi-Arch: foreign
 Description: VP8 and VP9 video codec encoding/decoding tools
  VP8 and VP9 are open video codecs, originally developed by On2 and released
  as open source by Google Inc. They are the successor of the VP3 codec,

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,8 @@
   --enable-multi-res-encoding \
   --enable-temporal-denoising \
   --enable-vp9-temporal-denoising \
-  --enable-vp9-postproc
+  --enable-vp9-postproc \
+  --enable-vp9-highbitdepth
 
 ifeq ($(DEB_HOST_ARCH_CPU),arm)
 configure_flags_neon := $(configure_flags) --target=armv7-linux-gcc
@@ -113,7 +114,3 @@
 	# don't use stripped library...
 	cp -v $(builddir)/libvpx_g.a \
 		$(builddir)/vpx-vp8-*/lib/libvpx.a
-
-override_dh_installdocs:
-	dh_installdocs
-	dh_installdocs -A README AUTHORS

## libvpx 1.12.0

=== debian/changelog ===
libvpx (1.12.0-1+deb12u4) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * vpx_codec_enc_init_multi: fix double free on init failure
    (Closes: #1106689)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 27 May 2025 23:16:51 +0200

libvpx (1.12.0-1+deb12u3) bookworm-security; urgency=medium

  * Non-maintainer upload.
  * CVE-2024-5197: Integer overflows

 -- Adrian Bunk <bunk@debian.org>  Thu, 20 Jun 2024 13:01:27 +0300

libvpx (1.12.0-1+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix bug with smaller width bigger size (CVE-2023-44488)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 01 Oct 2023 17:26:47 +0200

libvpx (1.12.0-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * encode_api_test: add ConfigResizeChangeThreadCount
  * VP8: disallow thread count changes (CVE-2023-5217) (Closes: #1053182)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 28 Sep 2023 22:55:08 +0200

libvpx (1.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.12.0
  * debian/control: Bump Standards-Version
  * debian/libvpx7.symbols: Bump minimal version of symbols doing version checks

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Jul 2022 15:20:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                yasm [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
                dh-exec
 Build-Depends-Indep: doxygen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.webmproject.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libvpx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libvpx

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 DEB_CFLAGS_MAINT_APPEND = -Wall
 DEB_CXXFLAGS_MAINT_APPEND = -Wall
-
-# The build fails with GCC 11 when using LTO.
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 
 include /usr/share/dpkg/architecture.mk

## libvpx 1.13.1

=== debian/changelog ===
libvpx (1.13.1-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: Disable LTO

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 17 Nov 2023 09:45:41 +0000

libvpx (1.13.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/: Honor CPPFLAGS

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 05 Oct 2023 23:10:32 +0200

libvpx (1.13.1-1) experimental; urgency=medium

  * New upstream version 1.13.1
    - SONAME bump: libvpx7 -> libvpx8
  * debian/patches: Drop patches included upstream
  * debian/: Remove no longer supported architectures
  * debian/control:
    - Add myself to uploaders
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Sep 2023 23:08:26 +0200

libvpx (1.12.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * encode_api_test: add ConfigResizeChangeThreadCount
  * VP8: disallow thread count changes (CVE-2023-5217) (Closes: #1053182)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 28 Sep 2023 23:07:11 +0200

libvpx (1.12.0-1ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow in vp8 encoding
    - debian/patches/CVE-2023-5217-1.patch: add ConfigResizeChangeThreadCount
      to test/encode_api_test.cc.
    - debian/patches/CVE-2023-5217-2.patch: disallow thread count changes
      in test/encode_api_test.cc, vp8/encoder/onyx_if.c.
    - CVE-2023-5217
  * SECURITY UPDATE: Width mishandling in vp9 encoding
    - debian/patches/CVE-2023-44488.patch: fix bug with smaller width
      bigger size in test/resize_test.cc, vp9/common/vp9_alloccommon.c,
      vp9/encoder/vp9_encoder.c.
    - CVE-2023-44488

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 02 Oct 2023 06:43:10 -0400

libvpx (1.12.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1987051). Remaining changes:
    - d/rules: Disable LTO

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 19 Aug 2022 10:59:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
+           Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               yasm [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
+               yasm [amd64 i386 hurd-i386],
                dh-exec
 Build-Depends-Indep: doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.webmproject.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libvpx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libvpx
@@ -17,7 +19,7 @@
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx7 (= ${binary:Version}),
+Depends: libvpx8 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: VP8 and VP9 video codec (development files)
@@ -28,7 +30,7 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx7
+Package: libvpx8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -58,7 +60,7 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx7 (= ${binary:Version}),
+Depends: libvpx8 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: VP8 and VP9 video codec encoding/decoding tools

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
 
-DEB_CFLAGS_MAINT_APPEND = -Wall
-DEB_CXXFLAGS_MAINT_APPEND = -Wall
+# The build fails with GCC 11 when using LTO.
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 
 include /usr/share/dpkg/architecture.mk
 
@@ -40,35 +42,13 @@
 ifeq ($(DEB_HOST_ARCH), amd64)
 configure_flags += --target=x86_64-linux-gcc
 else
-ifeq ($(DEB_HOST_ARCH), kfreebsd-amd64)
-configure_flags += --target=x86_64-linux-gcc
-else
 ifeq ($(DEB_HOST_ARCH), i386)
-configure_flags += --target=x86-linux-gcc
-else
-ifeq ($(DEB_HOST_ARCH), kfreebsd-i386)
 configure_flags += --target=x86-linux-gcc
 else
 ifeq ($(DEB_HOST_ARCH), hurd-i386)
 configure_flags += --target=x86-linux-gcc
 else
-ifeq ($(DEB_HOST_ARCH), mips)
 configure_flags += --target=generic-gnu
-# Disable MIPS assembly for now, it requires DSP R2
-DEB_CFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
-DEB_CXXFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
-else
-ifeq ($(DEB_HOST_ARCH), mipsel)
-configure_flags += --target=generic-gnu
-# Disable MIPS assembly for now, it requires DSP R2
-DEB_CFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
-DEB_CXXFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
-else
-configure_flags += --target=generic-gnu
-endif
-endif
-endif
-endif
 endif
 endif
 endif
@@ -83,24 +63,20 @@
 
 builddir := $(CURDIR)/builddir
 
-export DEB_CFLAGS_MAINT_APPEND
-export DEB_CXXFLAGS_MAINT_APPEND
-
 %:
 	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf $(builddir) $(builddir)-neon
 
 override_dh_auto_configure:
-	mkdir -p $(builddir) ; \
-	cd $(builddir) ; \
-	${CURDIR}/configure $(configure_flags)
+	mkdir -p $(builddir)
+	cd $(builddir); \
+	CFLAGS="${CPPFLAGS} ${CFLAGS}" ${CURDIR}/configure $(configure_flags)
 ifeq ($(BUILD_NEON), Yes)
-	mkdir -p $(builddir)-neon ; \
-	cd $(builddir)-neon ; \
-	${CURDIR}/configure $(configure_flags_neon)
+	mkdir -p $(builddir)-neon
+	cd $(builddir)-neon; \
+	CFLAGS="${CPPFLAGS} ${CFLAGS}" ${CURDIR}/configure $(configure_flags_neon)
 endif
 
 override_dh_auto_build:

## libvpx 1.14.0

=== debian/changelog ===
libvpx (1.14.0-1) experimental; urgency=medium

  * New upstream version 1.14.0
    - SONAME bump: libvpx8 -> libvpx9
  * debian/copyright:
    - Update copyright years
    - Add myself

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Jan 2024 12:56:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>,
@@ -19,7 +18,7 @@
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx8 (= ${binary:Version}),
+Depends: libvpx9 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: VP8 and VP9 video codec (development files)
@@ -30,7 +29,7 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx8
+Package: libvpx9
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -60,7 +59,7 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx8 (= ${binary:Version}),
+Depends: libvpx9 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: VP8 and VP9 video codec encoding/decoding tools

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall
-
-# The build fails with GCC 11 when using LTO.
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 
 include /usr/share/dpkg/architecture.mk

## libvpx 1.14.1

=== debian/changelog ===
libvpx (1.14.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: Disable LTO

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2024 08:03:28 +0200

libvpx (1.14.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders

  [ Sebastian Ramacher ]
  * New upstream version 1.14.1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Jun 2024 22:06:42 +0200

libvpx (1.14.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: Disable LTO

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 May 2024 16:43:51 +0200

libvpx (1.14.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 May 2024 19:53:32 +0200

libvpx (1.14.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:20:28 +0000

libvpx (1.14.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: Disable LTO (Closes: #1015532)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 14 Mar 2024 16:49:55 +0100

## libvpx 1.15.0

=== build/make/Makefile ===
##
##  Copyright (c) 2010 The WebM project authors. All Rights Reserved.
##
##  Use of this source code is governed by a BSD-style license
##  that can be found in the LICENSE file in the root of the source
##  tree. An additional intellectual property rights grant can be found
##  in the file PATENTS.  All contributing project authors may
##  be found in the AUTHORS file in the root of the source tree.
##


include config.mk
quiet?=true
ifeq ($(target),)
# If a target wasn't specified, invoke for all enabled targets.
.DEFAULT:
	@for t in $(ALL_TARGETS); do \
	     $(MAKE) --no-print-directory target=$$t $(MAKECMDGOALS) || exit $$?;\
        done
all: .DEFAULT
clean:: .DEFAULT
exampletest: .DEFAULT
install:: .DEFAULT
test: .DEFAULT
test-no-data-check: .DEFAULT
testdata: .DEFAULT
utiltest: .DEFAULT
exampletest-no-data-check utiltest-no-data-check: .DEFAULT
test_%: .DEFAULT ;

# Note: md5sum is not installed on OS X, but openssl is. Openssl may not be
# installed on cygwin, so we need to autodetect here.
md5sum := $(firstword $(wildcard \
          $(foreach e,md5sum openssl,\
          $(foreach p,$(subst :, ,$(PATH)),$(p)/$(e)*))\
          ))
md5sum := $(if $(filter %openssl,$(md5sum)),$(md5sum) dgst -md5,$(md5sum))

TGT_CC:=$(word 3, $(subst -, ,$(TOOLCHAIN)))
dist:
	@for t in $(ALL_TARGETS); do \
	     $(MAKE) --no-print-directory target=$$t $(MAKECMDGOALS) || exit $$?;\
        done
        # Run configure for the user with the current toolchain.
	@if [ -d "$(DIST_DIR)/src" ]; then \
            mkdir -p "$(DIST_DIR)/build"; \
            cd "$(DIST_DIR)/build"; \
            echo "Rerunning configure $(CONFIGURE_ARGS)"; \
            ../src/configure $(CONFIGURE_ARGS); \
            $(if $(filter vs%,$(TGT_CC)),make NO_LAUNCH_DEVENV=1;) \
        fi
	@if [ -d "$(DIST_DIR)" ]; then \
            echo "    [MD5SUM] $(DIST_DIR)"; \
	    cd $(DIST_DIR) && \
	    $(md5sum) `find . -name md5sums.txt -prune -o -type f -print` \
                | sed -e 's/MD5(\(.*\))= \([0-9a-f]\{32\}\)/\2  \1/' \
                > md5sums.txt;\
        fi
endif

# Since we invoke make recursively for multiple targets we need to include the
# .mk file for the correct target, but only when $(target) is non-empty.
ifneq ($(target),)
include $(target)-$(TOOLCHAIN).mk
endif
BUILD_ROOT?=.
VPATH=$(SRC_PATH_BARE)
CFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT) -I$(SRC_PATH)
CXXFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT) -I$(SRC_PATH)
ASFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT)/ -I$(SRC_PATH)/
DIST_DIR?=dist
HOSTCC?=gcc
TGT_ISA:=$(word 1, $(subst -, ,$(TOOLCHAIN)))
TGT_OS:=$(word 2, $(subst -, ,$(TOOLCHAIN)))
TGT_CC:=$(word 3, $(subst -, ,$(TOOLCHAIN)))
quiet:=$(if $(or $(verbose), $(V)),, yes)
qexec=$(if $(quiet),@)

# Cancel built-in implicit rules
%: %.o
%.asm:
%.a:
%: %.cc

#
# Common rules"
#
.PHONY: all
all:

.PHONY: clean
clean::
	rm -f $(OBJS-yes) $(OBJS-yes:.o=.d) $(OBJS-yes:.asm.S.o=.asm.S)
	rm -f $(CLEAN-OBJS)

.PHONY: clean
distclean: clean
	if [ -z "$(target)" ]; then \
      rm -f Makefile; \
      rm -f config.log config.mk; \
      rm -f vpx_config.[hc] vpx_config.asm; \
      rm -f arm_neon.h; \
    else \
      rm -f $(target)-$(TOOLCHAIN).mk; \
    fi

.PHONY: dist
dist:
.PHONY: exampletest
exampletest:
.PHONY: install
install::
.PHONY: test
test:
.PHONY: testdata
testdata:
.PHONY: utiltest
utiltest:
.PHONY: test-no-data-check exampletest-no-data-check utiltest-no-data-check
test-no-data-check:
exampletest-no-data-check utiltest-no-data-check:

# Force to realign stack always on OS/2
ifeq ($(TOOLCHAIN), x86-os2-gcc)
CFLAGS += -mstackrealign
endif

# x86[_64]
$(BUILD_PFX)%_mmx.c.d: CFLAGS += -mmmx
$(BUILD_PFX)%_mmx.c.o: CFLAGS += -mmmx
$(BUILD_PFX)%_sse2.c.d: CFLAGS += -msse2
$(BUILD_PFX)%_sse2.c.o: CFLAGS += -msse2
$(BUILD_PFX)%_sse3.c.d: CFLAGS += -msse3
$(BUILD_PFX)%_sse3.c.o: CFLAGS += -msse3
$(BUILD_PFX)%_ssse3.c.d: CFLAGS += -mssse3
$(BUILD_PFX)%_ssse3.c.o: CFLAGS += -mssse3
$(BUILD_PFX)%_sse4.c.d: CFLAGS += -msse4.1
$(BUILD_PFX)%_sse4.c.o: CFLAGS += -msse4.1
$(BUILD_PFX)%_avx.c.d: CFLAGS += -mavx
$(BUILD_PFX)%_avx.c.o: CFLAGS += -mavx
$(BUILD_PFX)%_avx2.c.d: CFLAGS += -mavx2
$(BUILD_PFX)%_avx2.c.o: CFLAGS += -mavx2
$(BUILD_PFX)%_avx512.c.d: CFLAGS += -mavx512f -mavx512cd -mavx512bw -mavx512dq -mavx512vl
$(BUILD_PFX)%_avx512.c.o: CFLAGS += -mavx512f -mavx512cd -mavx512bw -mavx512dq -mavx512vl

# AARCH64
$(BUILD_PFX)%_neon_dotprod.c.d: CFLAGS += -march=armv8.2-a+dotprod
$(BUILD_PFX)%_neon_dotprod.c.o: CFLAGS += -march=armv8.2-a+dotprod
$(BUILD_PFX)%_neon_i8mm.c.d: CFLAGS += -march=armv8.2-a+dotprod+i8mm
$(BUILD_PFX)%_neon_i8mm.c.o: CFLAGS += -march=armv8.2-a+dotprod+i8mm
$(BUILD_PFX)%_sve.c.d: CFLAGS += -march=armv8.2-a+dotprod+i8mm+sve
$(BUILD_PFX)%_sve.c.o: CFLAGS += -march=armv8.2-a+dotprod+i8mm+sve
$(BUILD_PFX)%_sve2.c.d: CFLAGS += -march=armv9-a+sve2
$(BUILD_PFX)%_sve2.c.o: CFLAGS += -march=armv9-a+sve2

# POWER
$(BUILD_PFX)%_vsx.c.d: CFLAGS += -maltivec -mvsx
$(BUILD_PFX)%_vsx.c.o: CFLAGS += -maltivec -mvsx

# MIPS
$(BUILD_PFX)%_msa.c.d: CFLAGS += -mmsa
$(BUILD_PFX)%_msa.c.o: CFLAGS += -mmsa

# LOONGARCH
$(BUILD_PFX)%_lsx.c.d:  CFLAGS += -mlsx
$(BUILD_PFX)%_lsx.c.o:  CFLAGS += -mlsx
$(BUILD_PFX)%_lasx.c.d: CFLAGS += -mlasx
$(BUILD_PFX)%_lasx.c.o: CFLAGS += -mlasx

$(BUILD_PFX)%.c.d: %.c
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(CC) $(INTERNAL_CFLAGS) $(CFLAGS) -M $< | $(fmt_deps) > $@

$(BUILD_PFX)%.c.o: %.c
	$(if $(quiet),@echo "    [CC] $@")
	$(qexec)$(if $(CONFIG_DEPENDENCY_TRACKING),,mkdir -p $(dir $@))
	$(qexec)$(CC) $(INTERNAL_CFLAGS) $(CFLAGS) -c -o $@ $<

$(BUILD_PFX)%.cc.d: %.cc
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(CXX) $(INTERNAL_CFLAGS) $(CXXFLAGS) -M $< | $(fmt_deps) > $@

$(BUILD_PFX)%.cc.o: %.cc
	$(if $(quiet),@echo "    [CXX] $@")
	$(qexec)$(if $(CONFIG_DEPENDENCY_TRACKING),,mkdir -p $(dir $@))
	$(qexec)$(CXX) $(INTERNAL_CFLAGS) $(CXXFLAGS) -c -o $@ $<

$(BUILD_PFX)%.cpp.d: %.cpp
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(CXX) $(INTERNAL_CFLAGS) $(CXXFLAGS) -M $< | $(fmt_deps) > $@

$(BUILD_PFX)%.cpp.o: %.cpp
	$(if $(quiet),@echo "    [CXX] $@")
	$(qexec)$(if $(CONFIG_DEPENDENCY_TRACKING),,mkdir -p $(dir $@))
	$(qexec)$(CXX) $(INTERNAL_CFLAGS) $(CXXFLAGS) -c -o $@ $<

$(BUILD_PFX)%.asm.d: %.asm
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(SRC_PATH_BARE)/build/make/gen_asm_deps.sh \
            --build-pfx=$(BUILD_PFX) --depfile=$@ $(ASFLAGS) $< > $@

$(BUILD_PFX)%.asm.o: %.asm
	$(if $(quiet),@echo "    [AS] $@")
	$(qexec)$(if $(CONFIG_DEPENDENCY_TRACKING),,mkdir -p $(dir $@))
	$(qexec)$(AS) $(ASFLAGS) -o $@ $<

$(BUILD_PFX)%.S.d: %.S
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(SRC_PATH_BARE)/build/make/gen_asm_deps.sh \
            --build-pfx=$(BUILD_PFX) --depfile=$@ $(ASFLAGS) $< > $@

$(BUILD_PFX)%.S.o: %.S
	$(if $(quiet),@echo "    [AS] $@")
	$(qexec)$(if $(CONFIG_DEPENDENCY_TRACKING),,mkdir -p $(dir $@))
	$(qexec)$(AS) $(ASFLAGS) -o $@ $<

.PRECIOUS: %.c.S
%.c.S: CFLAGS += -DINLINE_ASM
$(BUILD_PFX)%.c.S: %.c
	$(if $(quiet),@echo "    [GEN] $@")
	$(qexec)$(if $(CONFIG_DEPENDENCY_TRACKING),,mkdir -p $(dir $@))
	$(qexec)$(CC) -S $(CFLAGS) -o $@ $<

.PRECIOUS: %.asm.S
$(BUILD_PFX)%.asm.S: %.asm
	$(if $(quiet),@echo "    [ASM CONVERSION] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(ASM_CONVERSION) <$< >$@

# If we're in debug mode, pretend we don't have GNU strip, to fall back to
# the copy implementation
HAVE_GNU_STRIP := $(if $(CONFIG_DEBUG),,$(HAVE_GNU_STRIP))
ifeq ($(HAVE_GNU_STRIP),yes)
# Older binutils strip global symbols not needed for relocation processing
# when given --strip-unneeded. Using nm and awk to identify globals and
# keep them caused command line length issues under mingw and segfaults in
# test_libvpx were observed under OS/2: simply use --strip-debug.
%.a: %_g.a
	$(if $(quiet),@echo "    [STRIP] $@ < $<")
	$(qexec)$(STRIP) --strip-debug \
          -o $@ $<
else
%.a: %_g.a
	$(if $(quiet),@echo "    [CP] $@ < $<")
	$(qexec)cp $< $@
endif

#
# Utility functions
#
pairmap=$(if $(strip $(2)),\
    $(call $(1),$(word 1,$(2)),$(word 2,$(2)))\
    $(call pairmap,$(1),$(wordlist 3,$(words $(2)),$(2)))\
)

enabled=$(filter-out $($(1)-no),$($(1)-yes))
cond_enabled=$(if $(filter yes,$($(1))), $(call enabled,$(2)))

find_file1=$(word 1,$(wildcard $(subst //,/,$(addsuffix /$(1),$(2)))))
find_file=$(foreach f,$(1),$(call find_file1,$(strip $(f)),$(strip $(2))) )
obj_pats=.c=.c.o $(AS_SFX)=$(AS_SFX).o .cc=.cc.o .cpp=.cpp.o
objs=$(addprefix $(BUILD_PFX),$(foreach p,$(obj_pats),$(filter %.o,$(1:$(p))) ))

install_map_templates=$(eval $(call install_map_template,$(1),$(2)))

not=$(subst yes,no,$(1))

ifeq ($(CONFIG_MSVS),yes)
lib_file_name=$(1).lib
else
lib_file_name=lib$(1).a
endif
#
# Rule Templates
#
define linker_template
$(1): $(filter-out -%,$(2))
$(1):
	$(if $(quiet),@echo    "    [LD] $$@")
	$(qexec)$$(LD) $$(strip $$(INTERNAL_LDFLAGS) $$(LDFLAGS) -o $$@ $(2) $(3) $$(extralibs))
endef
define linkerxx_template
$(1): $(filter-out -%,$(2))
$(1):
	$(if $(quiet),@echo    "    [LD] $$@")
	$(qexec)$$(CXX) $$(strip $$(INTERNAL_LDFLAGS) $$(LDFLAGS) -o $$@ $(2) $(3) $$(extralibs))
endef
# make-3.80 has a bug with expanding large input strings to the eval function,
# which was triggered in some cases by the following component of
# linker_template:
#   $(1): $$(call find_file, $(patsubst -l%,lib%.a,$(filter -l%,$(2))),\
#                           $$(patsubst -L%,%,$$(filter -L%,$$(LDFLAGS) $(2))))
# This may be useful to revisit in the future (it tries to locate libraries
# in a search path and add them as prerequisites

define install_map_template
$(DIST_DIR)/$(1): $(2)
	$(if $(quiet),@echo "    [INSTALL] $$@")
	$(qexec)mkdir -p $$(dir $$@)
	$(qexec)cp -p $$< $$@
endef

define archive_template
# Not using a pattern rule here because we don't want to generate empty
# archives when they are listed as a dependency in files not responsible
# for creating them.
$(1):
	$(if $(quiet),@echo "    [AR] $$@")
	$(qexec)$$(AR) $$(ARFLAGS) $$@ $$^
endef

# Don't use -Wl,-z,defs with Clang's sanitizers.
#
# Clang's AddressSanitizer documentation says "When linking shared libraries,
# the AddressSanitizer run-time is not linked, so -Wl,-z,defs may cause link
# errors (don't use it with AddressSanitizer)." See
# https://clang.llvm.org/docs/AddressSanitizer.html#usage.
NO_UNDEFINED := -Wl,-z,defs
ifeq ($(findstring clang,$(CC)),clang)
    ifneq ($(filter -fsanitize=%,$(LDFLAGS)),)
        NO_UNDEFINED :=
    endif
endif

define so_template
# Not using a pattern rule here because we don't want to generate empty
# archives when they are listed as a dependency in files not responsible
# for creating them.
#
# This needs further abstraction for dealing with non-GNU linkers.
$(1):
	$(if $(quiet),@echo "    [LD] $$@")
	$(qexec)$$(LD) -shared $$(LDFLAGS) \
            $(NO_UNDEFINED) \
            -Wl,-soname,$$(SONAME) \
            -Wl,--version-script,$$(EXPORTS_FILE) -o $$@ \
            $$(filter %.o,$$^) $$(extralibs)
endef

define dl_template
# Not using a pattern rule here because we don't want to generate empty
# archives when they are listed as a dependency in files not responsible
# for creating them.
$(1):
	$(if $(quiet),@echo "    [LD] $$@")
	$(qexec)$$(LD) -dynamiclib $$(LDFLAGS) \
	    -exported_symbols_list $$(EXPORTS_FILE) \
        -Wl,-headerpad_max_install_names,-compatibility_version,1.0,-current_version,$$(VERSION_MAJOR) \
        -o $$@ \
        $$(filter %.o,$$^) $$(extralibs)
endef

define dll_template
# Not using a pattern rule here because we don't want to generate empty
# archives when they are listed as a dependency in files not responsible
# for creating them.
$(1):
	$(if $(quiet),@echo "    [LD] $$@")
	$(qexec)$$(LD) -Zdll $$(LDFLAGS) \
        -o $$@ \
        $$(filter %.o,$$^) $$(extralibs) $$(EXPORTS_FILE)
endef


#
# Get current configuration
#
ifneq ($(target),)

=== debian/changelog ===
libvpx (1.15.0-2ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: use-after-free vulnerability
    - debian/patches/CVE-2025-5283.patch: fix double free on init failure.
    - CVE-2025-5283

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Mon, 02 Jun 2025 18:58:08 +0200

libvpx (1.15.0-2) unstable; urgency=medium

  * Team upload

  [ Sergio Durigan Junior ]
  * Disable LTO since the build fails with it enabled (Closes: #1015532)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 22:37:58 -0500

libvpx (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0
  * debian/libvpx9.symbols: Drop unused symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Dec 2024 19:49:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Ondřej Nový <onovy@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                yasm [amd64 i386 hurd-i386],

## libvpx 1.15.2

=== debian/changelog ===
libvpx (1.15.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Aug 2025 23:17:56 +0200

libvpx (1.15.2-1) experimental; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream version 1.15.2
  * SONAME bump: libvpx9 -> libvpx11
  * debian/patches: Remove patches included upstream

  [ Lorenzo Puliti ]
  * switch do nasm, drop yasm from B-D (Closes: #1104223)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Jun 2025 21:36:17 +0200

libvpx (1.15.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * vpx_codec_enc_init_multi: fix double free on init failure
    (Closes: #1106689)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 27 May 2025 23:00:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sebastian Ramacher <sramacher@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               yasm [amd64 i386 hurd-i386],
+               nasm [amd64 i386 hurd-i386],
                dh-exec
 Build-Depends-Indep: doxygen
 Standards-Version: 4.6.2
@@ -18,7 +17,7 @@
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx9 (= ${binary:Version}),
+Depends: libvpx11 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: VP8 and VP9 video codec (development files)
@@ -29,7 +28,7 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx9
+Package: libvpx11
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -59,7 +58,7 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx9 (= ${binary:Version}),
+Depends: libvpx11 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: VP8 and VP9 video codec encoding/decoding tools

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall
